/*
 * Sixth 3D engine. Copyright ©2012-2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */


package eu.svjatoslav.sixth.e3d.geometry;

public class Rectangle {

    public Point2D p1, p2;

    public Rectangle(final double size) {
        p2 = new Point2D(size / 2, size / 2);
        p1 = p2.clone().invert();
    }

    public Rectangle(final Point2D p1, final Point2D p2) {
        this.p1 = p1;
        this.p2 = p2;
    }

    public double getHeight() {
        return Math.abs(p1.y - p2.y);
    }

    public double getLowerX() {
        if (p1.x < p2.x)
            return p1.x;
        return p2.x;
    }

    public double getLowerY() {
        if (p1.y < p2.y)
            return p1.y;
        return p2.y;
    }

    public double getWidth() {
        return Math.abs(p1.x - p2.x);
    }

}
